html, body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    font-family: Arial, sans-serif;
    overflow: hidden;
}

.taskbar {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 40px;
    background-color: #333;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 10px;
    box-sizing: border-box;
    z-index: 2;
}

.screen {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 40px;
    background-color: #fff;
    overflow: hidden;
    z-index: 1;

    background-size: cover;
    background-position: center;
}

#battery-level {
    font-size: 12px;
    color: #fff;
}

.clock {
    font-size: 12px;
    color: #fff;
    display: flex;
    flex-direction: column;
}

.status {
    display: flex;
    align-items: center;
    gap: 20px;
    flex-direction: row;
    justify-content: center;
}

.window {
    position: absolute;
    border: 1px solid #ccc;
    background-color: #fff;
    width: 300px;
    height: 200px;
    box-sizing: border-box;
    cursor: move;
    z-index: 3;
    overflow-y: scroll;
}

.window-header {
    background-color: #f0f0f0;
    padding: 5px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: sticky;
    top: 0;
}

.apps {
    display: flex;
    gap: 10px;
}

.app-button {
    background: none;
    border: none;
    color: #fff;
    font-size: 18px;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.launcher-button {
    background: none;
    border: none;
    color: #000;
    font-size: 18px;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 25%
}

.app-button span {
    font-size: 12px;
    margin-top: 2px;
}

.close-button {
    background: none;
    border: none;
    font-size: 16px;
    cursor: pointer;
}

.settings-button {
    padding: 10px;
    font-size: 16px;
    cursor: pointer;
    background-color: #007bff;
    color: #fff;
    border: none;
    border-radius: 4px;
}

/* Dark mode styles */
.dark-mode {
    background-color: #121212;
    color: #e0e0e0;

    scrollbar-color: #444 #222;
}
.dark-mode .taskbar {
    background-color: #222;
}
.dark-mode .clock {
    color: #e0e0e0;
}
.dark-mode .window {
    background-color: #1e1e1e;
    border-color: #444;
}
.dark-mode .window-header {
    background-color: #2c2c2c;
}
.dark-mode .settings-button {
    background-color: #007bff;
    color: #fff;
}
.dark-mode .app-button {
    color: #e0e0e0;
}
.dark-mode .launcher-button {
    color: #e0e0e0;
}
